/**
 * @file solver1.cpp
 * @brief 
 */

#include <iostream>
#include <ilcplex/cplex.h>

using namespace std;

int main (int argc, char const *argv[])
{
	try
	{
		// init
		int status;
		CPXENVptr env = CPXopenCPLEX(&status);
		CPXLPptr lp = CPXcreateprob(env, &status, "");
		// read
		CPXreadcopyprob(env, lp, argv[1], 0);
		// optimize
		CPXmipopt(env, lp);
		// print
		double objval;
		CPXgetobjval(env, lp, &objval);
		std::cout << "Objval: " << objval << std::endl;
		// free
		CPXfreeprob(env, &lp);
		CPXcloseCPLEX(&env);
	}
	catch(std::exception& e)
	{
		std::cout << ">>>EXCEPTION: " << e.what() << std::endl;
	}
	return 0;
}
